Package com.sas.lsaf.clinical.tlf

## Class TlfUpdateResult

- java.lang.Object
- - com.sas.lsaf.clinical.common.ClinicalUpdateResult
  - - com.sas.lsaf.clinical.tlf.TlfUpdateResult

- All Implemented Interfaces:
    `java.io.Serializable`

      public class TlfUpdateResult
      extends ClinicalUpdateResult

  The class that represents the results of importing global TLFs to a TLF template. Results include validation results and the path and source location of the validation report, if one is specified.
  Since:
    2.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TlfUpdateResult​(TlfTemplate tlfTemplate, java.lang.String validationReportPath, SourceLocation validationReportSourceLocation, ValidationResult validationResult)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TlfTemplate` | `getTlfTemplate()` | Gets the updated TLF template.

    - ### Methods inherited from class com.sas.lsaf.clinical.common.ClinicalUpdateResult

      `getValidationReportPath, getValidationReportSourceLocation, getValidationResult, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TlfUpdateResult

          public TlfUpdateResult​(TlfTemplate tlfTemplate,
                                 java.lang.String validationReportPath,
                                 SourceLocation validationReportSourceLocation,
                                 ValidationResult validationResult)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the update results returned by the API.
      Parameters:
        `tlfTemplate` - The updated TLF template.
        `validationReportPath` - The path of the validation report, if provided.
        `validationReportSourceLocation` - The source location (repository or workspace) of the validation report, if a validation path is specified. Otherwise, null.
        `validationResult` - The validation results of importing TLFs to a TLF template.

  - ### Method Detail

    - #### getTlfTemplate

          public TlfTemplate getTlfTemplate()

      Gets the updated TLF template.
      Returns:
        The updated TLF template.